# Created by pyp2rpm-1.0.0
%global pypi_name pyopencl
%define version 2013.1

Name:           python-opencl
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        Python wrapper for OpenCL

License:        MIT
URL:  http://mathema.tician.de/software/pyopencl
Source0:        http://pypi.python.org/packages/source/p/pyopencl/pyopencl-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  boost-devel
BuildRequires:  opencl-devel
BuildRequires:  python-numpy-devel
BuildRequires:  pkgconfig(gl)

%description
PyOpenCL lets you access GPUs and other massively parallel compute
devices from Python. It tries to offer computing goodness in the
spirit of its sister project `PyCUDA`.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%build
%{__python} configure.py \
   --boost-inc-dir=%{_includedir}/boost \
   --boost-lib-dir=%{_libdir} \
   --boost-python-libname=boost_python \
   --no-use-shipped-boost \
   --cl-enable-gl
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc html README_SETUP.txt examples
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-*egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2013.1-3.mga4
+ Revision: 543906
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2013.1-2.mga4
+ Revision: 499008
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 27 2013 joequant <joequant> 2013.1-1.mga4
+ Revision: 459146
- build spec fixes
- remove python-opencl requires
- add gl dependency
- add python-numpy-devel
- imported package python-opencl

